AOQUALITY(1)

NAME
AOQuality - Handle AOFlagger measurement set quality statistics

SYNOPSIS
aoquality <action> [options]

ACTIONS

help
    Get more info about an action (usage: 'aoquality help <action>')

collect [-c/-tf/-h] <ms> [quack timesteps] [list of antennae]
    The collect action will go over a whole measurement set and collect the default statistics. It will write the results in the quality subtables of the main measurement set.

    Currently, the default statistics are: RFIRatio, Count, Mean, SumP2, DCount, DMean, DSumP2.

    The subtables that will be updated are: QUALITY_KIND_NAME, QUALITY_TIME_STATISTIC, QUALITY_FREQUENCY_STATISTIC and QUALITY_BASELINE_STATISTIC.

    -c will use the CORRECTED_DATA column. and writes them in the quality tables.

combine <target_ms> [<in_ms> [<in_ms> ..]
    This will read all given input measurement sets, combine the statistics and write the results to a target measurement set. The target measurement set should not exist beforehand.

histogram <query> <ms>
    Various histogram actions.

    Query can be: rfislope - performs linear regression on the part of the histogram that should contain the RFI. Reports one value per polarisation.

liststats
    Display a list of possible statistic kinds.

query_b <kind> <ms>
    Prints the given statistic for each baseline.

query_t <kind> <ms>
    Print the given statistic for each time step.

query_f <kind> <ms>
    Print the given statistic for each frequency.

query_g <kind> <ms>
    Print the given statistic for this measurement set.

remove [ms]
    Completely remove all quality tables from the measurement set.

summarize <ms>
    Gives a summary of the statistics in the measurement set.

summarizerfi
    Give a summary of the rfi statistics.

A few actions take a statistic kind. Some common statistic kinds are: StandardDeviation, Variance, Mean, RFIPercentage, RFIRatio, Count. These are case sensitive. Run 'aoquality liststats' for a full list.